/* @since CommunityAlly 1.0.5 */
/* global CommunityAllyLoader */

window.bp = window.bp || {};

( function( bp, $ ) {
	$(document).ready(function($) {
		function async_load_js(firstScriptTag, js_url) {
			if ($('script[src^="' + js_url + '"]').length > 0) {
				return;
			}
			let tag = document.createElement('script');
			tag.src = js_url;

			firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
		}
		function async_load_css(firstCssTag, css_url) {
			if ($('link[href^="' + css_url + '"]').length > 0) {
				return;
			}
			let tag = document.createElement('link');
			tag.rel = 'stylesheet';
			tag.media = 'all';
			tag.href = css_url;

			firstCssTag.parentNode.insertBefore(tag, firstCssTag);
		}
		function async_load_activity_js() {
			let firstCssTag = document.getElementsByTagName('link')[0];
			async_load_css(firstCssTag, CommunityAllyLoader.base_url + '/bp-activity/css/mentions.min.css');

			let firstScriptTag = document.getElementsByTagName('script')[0];
			async_load_js(firstScriptTag, CommunityAllyLoader.base_url + '/bp-templates/bp-nouveau/js/buddypress-activity.min.js');
			async_load_js(firstScriptTag, CommunityAllyLoader.base_url + '/bp-core/js/vendor/jquery.caret.min.js');
			async_load_js(firstScriptTag, CommunityAllyLoader.base_url + '/bp-core/js/vendor/jquery.atwho.min.js');
			async_load_js(firstScriptTag, CommunityAllyLoader.base_url + '/bp-activity/js/mentions.min.js');
		}
		let $communityally_elements = $('.communityally-shortcode-element');
		if ($communityally_elements.length > 0) {
			async_load_activity_js();
		}
	});
} )( window.bp, jQuery );