<?php
/**
 * BuddyPress - Groups Activity
 *
 * @since 3.0.0
 * @version 8.0.0
 */

// CommunityAlly Phase 1 Change, removing screen title
/*<h2 class="bp-screen-title<?php echo ( ! bp_is_group_home() ) ? ' bp-screen-reader-text' : ''; ?>">
	<?php esc_html_e( 'Group Activities', 'buddypress' ); ?>
</h2>*/
?>

<?php bp_nouveau_groups_activity_post_form(); ?>

<div class="subnav-filters filters clearfix">

	<ul>
		<?php /*
 		// CommunityAlly Phase 1 Change, removal of activity feed link
		<?php if ( bp_activity_is_feed_enable( 'group' ) ) : ?>
			<li class="feed">
				<a href="<?php bp_group_activity_feed_link(); ?>" class="bp-tooltip no-ajax" data-bp-tooltip="<?php esc_attr_e( 'RSS Feed', 'buddypress' ); ?>">
					<span class="bp-screen-reader-text"><?php esc_html_e( 'RSS', 'buddypress' ); ?></span>
				</a>
			</li>
		<?php endif; ?>*/?>

		<li class="group-act-search"><?php bp_nouveau_search_form(); ?></li>
	</ul>

	<?php //bp_get_template_part( 'common/filters/groups-screens-filters' ); ?>
</div><!-- // .subnav-filters -->

<?php bp_nouveau_group_hook( 'before', 'activity_content' ); ?>

<?php
$group_id = bp_get_group_id();
$activity_args = bp_parse_args(bp_ajax_querystring( 'activity' ));
$activity_args['excluded_types'] = array('joined_group');	// do not show "a member has joined the group" activities
?>

<div id="activity-stream" class="activity single-group" data-bp-list="activity">

<ul class="activity-list item-list bp-list communityally-group-pinned-activity-list-<?php echo $group_id; ?>">
	<?php
	$activity_args['pinned'] = 'only-pinned';
	$pinned_activity_content = communityally_activity_template_loader('activity', '', '', array('r' => $activity_args));
	if (!empty($pinned_activity_content) && !empty($pinned_activity_content['contents'])) {
		echo $pinned_activity_content['contents'];
	}
	?>
</ul>

<ul class="activity-list item-list bp-list communityally-group-activity-list-<?php echo $group_id; ?>">
	<?php
	$activity_args['pinned'] = 'exclude-pinned';
	$activity_content = communityally_activity_template_loader('activity', '', '', array('r' => $activity_args));
	if (!empty($activity_content) && !empty($activity_content['contents'])) {
		echo $activity_content['contents'];
	}
	?>
</ul>

</div><!-- .activity -->

<?php
bp_nouveau_group_hook( 'after', 'activity_content' );
