<?php
/**
 * CommunityAlly - Groups Discussion
 *
 * @since CommunityAlly 1.2
 */
?>
<div id="discussion-template">
	<?php $current_group = groups_get_current_group(); ?>
	<div id="communityally-wait-overlay">
		<div class="communityally-wait-animation">
			<div class="communityally-wait-circle"></div>
		</div>
	</div>
	<!-- Child-group creation modal -->
	<div class="communityally-modal-container" id="communityally-add-child-group-modal" style="display:none;">
		<div class="communityally-discussion-add-child-group-modal">
			<div class="communityally-modal-header"><?php echo esc_html__('New Discussion', 'communityally'); ?>
				<div class="communityally-modal-close" communityally-modal-close="communityally-add-child-group-modal"></div>
			</div>
			<div class="communityally-modal-content">
				<div class="communityally-modal-subheader"><?php echo esc_html__('Discussion Title', 'communityally'); ?></div>
				<input class="communityally-input" communityally-param="title" type="text" placeholder="<?php echo esc_html__('Discussion title here', 'communityally') ?>">
				<div class="communityally-modal-subheader"><?php echo esc_html__('Description', 'communityally'); ?></div>
				<textarea class="communityally-textarea" communityally-param="group-description" cols="30" rows="10"></textarea>
			</div>
			<div class="communityally-modal-submit"><div class="communityally-modal-submit-button" id="communityally-add-child-group-submit"><?php echo esc_html__('Create Discussion', 'communityally'); ?></div></div>
		</div>
	</div>

	<div class="communityally-discussion-content-header-container">
		<div class="communityally-discussion-content-header"><?php echo esc_html(sprintf(__('Discussions in %s', 'communityally'), $current_group->name)); ?></div>
		<?php
		if ( bp_group_is_admin() ) {
			echo '<div class="button communityally-discussion-add-group-button">' . esc_html__('New Discussion', 'communityally') . '</div>';
		}
		?>
	</div>

	<!-- Display all child groups of this group-->
	<div class="communityally-discussion-content-topics-container"><?php echo communityally_get_child_group_list_display($current_group->group_id); ?></div>
	<div class="communityally-discussion-empty-display" style="display:none"><?php echo esc_html__('There is no discussion here...', 'communityally'); ?></div>
</div>
