<?php
/**
 * BuddyPress - Groups Members
 *
 * @since 3.0.0
 * @version 3.0.0
 */
?>


<div class="communityally-group-members-header-container">
	<h2 class="communityally-group-members-title">
		<?php
			$title = __( 'Members', 'buddypress' ) . ' (' . groups_get_groupmeta( bp_get_current_group_id(), 'total_member_count' ) . ')';
			echo $title;
		?>
	</h2>

	<div class="subnav-filters filters clearfix no-subnav">

		<?php bp_nouveau_search_form(); ?>

		<?php bp_get_template_part( 'common/filters/groups-screens-filters' ); ?>

	</div>
</div>


<div id="members-group-list" class="group_members dir-list" data-bp-list="group_members">

	<?php
		$members_content = communityally_activity_template_loader('members', '', 'group_members');
		if (!empty($members_content) && !empty($members_content['contents'])) {
			echo $members_content['contents'];
		}
	?>

</div><!-- .group_members.dir-list -->
