<div class="accessally-field-operation-div communityally-setting-individual-email-template-container {{modal-opened}}" id="communityally-email-{{email-type}}" accessally-email-modal-type="{{email-type}}">
	<div class="accessally-field-operation-header" communityally-toggle-target="#toggle-communityally-email-{{email-type}}">
		<div class="view-toggle-block" id="communityally-email-{{email-type}}-header">
			<input communityally-param="checked-is-open" {{checked-is-open}} type="checkbox" value="yes"
				   toggle-class="accessally-item-opened" toggle-element="#communityally-email-{{email-type}}" min-height="40" min-height-element="#communityally-email-{{email-type}}-header"
				   communityally-data-dependency-source="toggle-communityally-email-{{email-type}}" id="toggle-communityally-email-{{email-type}}">
			<label hide-toggle="checked-is-open" communityally-data-dependency="toggle-communityally-email-{{email-type}}" communityally-data-dependency-value="no" class="accessally-dashicons-toggle-closed-arrow"></label>
			<label hide-toggle="checked-is-open" communityally-data-dependency="toggle-communityally-email-{{email-type}}" communityally-data-dependency-value="yes" class="accessally-dashicons-toggle-open-arrow"></label>
		</div>
		<div class="communityally-name-display-block">{{setting-header}}</div>
	</div>
	<div hide-toggle="checked-is-open" communityally-data-dependency="toggle-communityally-email-{{email-type}}" communityally-data-dependency-value="yes">
		<div class="accessally-setting-section">
			<div class="accessally-setting-section-header">Email subject</div>
			<div class="accessally-setting-configure-block">
				<input type="text" communityally-param="subject" class="full-width" value="{{subject}}"
					   accessally-email-add-dynamic-text-target="subject-{{email-type}}" />
				<div class="accessally-email-send-test-button"
					 accessally-email-send-test-button="{{email-type}}">Send test email</div>
				<div class="accessally-email-add-dynamic-text-button"
					 accessally-email-add-dynamic-text-button="subject-{{email-type}}">Personalize</div>
				<div style="clear:both"></div>
			</div>
		</div>
		<div class="accessally-setting-section">
			<input type="hidden" value="{{max-element}}" id="accessally-email-template-max-element-{{email-type}}-{{id}}" />
			<div class="accessally-email-template-block accessally-email-template-labeled-block">
				<div class="accessally-email-template-labeled-block-label">Email content</div>
				<div class="accessally-flex-add-element-button" style="display: none"
					 accessally-email-template-add-element="{{email-type}}|{{id}}|base-block">+</div>
				<input type="hidden" value="" communityally-param="base-block[children-list]"
					   accessally-email-template-parent-block="accessally-email-template-element-container-{{email-type}}-{{id}}-base-block" />
				<div class="accessally-flex-element-container" accessally-email-template-element-container="{{email-type}}-{{id}}"
					 id="accessally-email-template-element-container-{{email-type}}-{{id}}-base-block">
					{{elements}}
				</div>
			</div>
		</div>
		<div class="accessally-setting-content accessally-operation-button-section">
			<div class="accessally-general-grey-button" communityally-setting-email-save="{{email-type}}">SAVE</div>
		</div>
	</div>
	<div class="accessally-email-dynamic-text-window" accessally-email-add-dynamic-text-modal="{{email-type}}" style="display:none">
		<div class="accessally-flex-modal-content">
			<div class="accessally-modal-header">
				Add personalized text
				<div class="accessally-modal-close" accessally-email-add-dynamic-text-close-modal="{{email-type}}"></div>
			</div>
			<div class="accessally-modal-content-container">
				<div class="accessally-flex-parameter-customization-row">
					<div class="accessally-flex-parameter-customization-label">Select the type of personalized text to add</div>
					<div class="accessally-flex-parameter-customization-input">
						<select accessally-email-add-dynamic-text-select-type="{{email-type}}" class="full-width"
								data-dependency-source="communityally-email-{{email-type}}-add-dynamic-text-select-type">
							<option value="poster.name">Poster Name</option>
							<option value="group.name">Group Name</option>
							<option value="usermessage">User Message</option>
							<option value="thread.url" {{is-thread}}>Thread URL</option>
							<option value="mentioned.url" {{is-mention}}>Mention URL</option>
							<option value="site.name">Site Name</option>
						</select>
					</div>
				</div>
			</div>
			<div class="accessally-flex-modal-navigation-section">
				<div class="accessally-flex-modal-submit-button" accessally-email-add-dynamic-text-submit="{{email-type}}">Add personalized text</div>
				<div style="clear:both"></div>
			</div>
		</div>
	</div>
	<div class="communityally-wait-overlay" communityally-email-settings-wait-overlay="{{email-type}}">
		<div class="accessally-wait-animation">
			<div class="accessally-wait-circle"></div>
		</div>
	</div>
</div>